Package org.apache.sling.jcr.base.internal.mount

## Class ProxyNamespaceRegistry

- java.lang.Object
- - org.apache.sling.jcr.base.internal.mount.ProxyNamespaceRegistry

All Implemented Interfaces:
  `javax.jcr.NamespaceRegistry`

    public class ProxyNamespaceRegistry
    extends Object
    implements javax.jcr.NamespaceRegistry

### Field Summary

### Fields inherited from interface javax.jcr.NamespaceRegistry

`NAMESPACE_EMPTY, NAMESPACE_JCR, NAMESPACE_MIX, NAMESPACE_NT, NAMESPACE_XML, PREFIX_EMPTY, PREFIX_JCR, PREFIX_MIX, PREFIX_NT, PREFIX_XML`

### Constructor Summary

Constructors
`ProxyNamespaceRegistry​(javax.jcr.NamespaceRegistry jcr, javax.jcr.NamespaceRegistry mount)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getPrefix​(String uri)`
`String[]` `getPrefixes()`
`String` `getURI​(String prefix)`
`String[]` `getURIs()`
`void` `registerNamespace​(String prefix, String uri)`
`void` `unregisterNamespace​(String prefix)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProxyNamespaceRegistry

    public ProxyNamespaceRegistry​(javax.jcr.NamespaceRegistry jcr,
                                  javax.jcr.NamespaceRegistry mount)

### Method Detail

#### registerNamespace

    public void registerNamespace​(String prefix,
                                  String uri)
                           throws javax.jcr.NamespaceException,
                                  javax.jcr.UnsupportedRepositoryOperationException,
                                  javax.jcr.AccessDeniedException,
                                  javax.jcr.RepositoryException

Specified by:
  `registerNamespace` in interface `javax.jcr.NamespaceRegistry`
Throws:
  `javax.jcr.NamespaceException`
  `javax.jcr.UnsupportedRepositoryOperationException`
  `javax.jcr.AccessDeniedException`
  `javax.jcr.RepositoryException`

#### unregisterNamespace

    public void unregisterNamespace​(String prefix)
                             throws javax.jcr.NamespaceException,
                                    javax.jcr.UnsupportedRepositoryOperationException,
                                    javax.jcr.AccessDeniedException,
                                    javax.jcr.RepositoryException

Specified by:
  `unregisterNamespace` in interface `javax.jcr.NamespaceRegistry`
Throws:
  `javax.jcr.NamespaceException`
  `javax.jcr.UnsupportedRepositoryOperationException`
  `javax.jcr.AccessDeniedException`
  `javax.jcr.RepositoryException`

#### getPrefixes

    public String[] getPrefixes()
                         throws javax.jcr.RepositoryException

Specified by:
  `getPrefixes` in interface `javax.jcr.NamespaceRegistry`
Throws:
  `javax.jcr.RepositoryException`

#### getURIs

    public String[] getURIs()
                     throws javax.jcr.RepositoryException

Specified by:
  `getURIs` in interface `javax.jcr.NamespaceRegistry`
Throws:
  `javax.jcr.RepositoryException`

#### getURI

    public String getURI​(String prefix)
                  throws javax.jcr.NamespaceException,
                         javax.jcr.RepositoryException

Specified by:
  `getURI` in interface `javax.jcr.NamespaceRegistry`
Throws:
  `javax.jcr.NamespaceException`
  `javax.jcr.RepositoryException`

#### getPrefix

    public String getPrefix​(String uri)
                     throws javax.jcr.NamespaceException,
                            javax.jcr.RepositoryException

Specified by:
  `getPrefix` in interface `javax.jcr.NamespaceRegistry`
Throws:
  `javax.jcr.NamespaceException`
  `javax.jcr.RepositoryException`